/* BLOCK: Location Gallery */

.block-location-gallery .gallery-wrapper {
    position: relative;
}

.block-location-gallery .swiper {
    --swiper-pagination-bullet-horizontal-gap: 0px;
    --swiper-pagination-bullet-size: 0.5rem;
    --swiper-pagination-color: var(--c-text-light);
    --swiper-pagination-bullet-inactive-color: transparent;
    --swiper-pagination-bullet-inactive-opacity: 1;
}

.block-location-gallery .swiper-wrapper::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg, transparent 50%, rgb(from var(--c-text-dark) r g b / .7) 100%);
    background-blend-mode: multiply;
    mix-blend-mode: multiply;
    border-radius: 1.5625rem;
    pointer-events: none;
}

.block-location-gallery .gallery-wrapper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 2.05;
    border-radius: 1.5625rem;
}

.block-location-gallery .swiper-slide {
    width: 100%;
}

.block-location-gallery .swiper-pagination {
    bottom: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.block-location-gallery .swiper-pagination-bullet {
    border: 1px solid var(--c-text-light);
}

.block-location-gallery .swiper-nav {
    background-color: var(--c-text-light);
    border-radius: 0.75rem;
    z-index: 100;
}

.block-location-gallery .swiper-nav svg {
    color:var(--c-primary);
    width: 0.75rem;
    height: auto;
}

.block-location-gallery .swiper-nav--prev {
    position: absolute;
    bottom: 1.5625rem;
    left: 1.5625rem;
}

.block-location-gallery .swiper-nav--next {
    position: absolute;
    bottom: 1.5625rem;
    right: 1.5625rem;
}

.block-location-gallery .swiper-navigation button {
    width: 2.5rem;
    height: 2.5rem;
    background-color: var(--c-text-light);
    border:none;
}

.block-location-gallery .wrap {
    display: flex;
    flex-direction: column;
    gap: 6.25rem;
}

.block-location-gallery .head {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 7.75rem;
}

.block-location-gallery .head h4 {
    margin-bottom: 3.75rem;
    color: var(--c-primary);
}
.block-location-gallery .head p {
    margin-bottom: 2.5rem;
}

.block-location-gallery .facility-wrapper {
    padding: 2.5rem;
    background-color: var(--c-text-light);
    border-radius: 1.5625rem;
    width: 100%;
    max-width: 25rem;
}

.block-location-gallery .facility-wrapper h6 {
    margin-bottom: 2.5rem;
}

.block-location-gallery .facility-wrapper .facility-list {
    display: flex;
    flex-direction: column;
    gap: 1.875rem;
}

.block-location-gallery .facility-wrapper .facility-list .facility {
    display: flex;
    flex-wrap: nowrap;
    gap: 0.9375rem;
}

.block-location-gallery .facility-wrapper .facility-list .facility svg {
    color: var(--c-tertiary);
    width: 0.625rem;
    height: auto;
}

.block-location-gallery .facility-wrapper .facility-list .facility span {
    color: var(--c-primary);
    font-size: var(--font-20-15);
}

/* .block-location-gallery .gallery-w-caption {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.875rem;
} */

.block-location-gallery .gallery-w-caption .gallery-caption {
    display: flex;
    align-items: center;
    gap: 0.9375rem;
    margin-top: 1.875rem;
    justify-content: center;
    font-size: var(--font-15-12);
}

.block-location-gallery .gallery-w-caption .gallery-caption svg {
    color: var(--c-tertiary);
    width: 0.625rem;
    height: auto;
}

@media screen and (width <= 920px) {
    .block-location-gallery .head {
        gap: 1.25rem;
    }
}

@media screen and (width <= 620px) {
    .block-location-gallery .wrap {
        gap: 2.5rem;
    }

    .block-location-gallery .swiper {
        --swiper-pagination-bullet-size: 0.375rem;
    }

    .block-location-gallery .swiper-wrapper::after {
        border-radius: 1.125rem;
    }

    .block-location-gallery .head {
        flex-direction: column;
        gap: 2.5rem;
    }

    .block-location-gallery .head h4 {
        margin-bottom: 2.5rem;
    }

    .block-location-gallery .head h6 {
        margin-bottom: 1.875rem;
    }

    .block-location-gallery .facility-wrapper {
        padding: 1.875rem;
        max-width: 100%;
    }

    .block-location-gallery .facility-wrapper h6 {
        margin-bottom: 1.875rem;
    }

    .block-location-gallery .gallery-w-caption .gallery-caption {
        margin-top: 1.25rem;
    }

    .block-location-gallery .gallery-wrapper .swiper-slide img {
        aspect-ratio: 1;
        border-radius: 1.125rem;
    }

    .block-location-gallery .swiper-navigation button {
        display: none;
    }

    .block-location-gallery .swiper-pagination {
        bottom: 1.25rem;
        gap: 0.625rem;
    }
}
